camlp5 (8.03.01-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2025 08:39:58 +0100

camlp5 (8.03.00-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 08:38:40 +0200

camlp5 (8.02.01-2) unstable; urgency=medium

  * Run tests only on native architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Sep 2023 09:49:39 +0200

camlp5 (8.02.01-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Sep 2023 08:34:25 +0200

camlp5 (8.00.04-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 12:45:20 +0100

camlp5 (8.00.03-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 11:12:46 +0100

camlp5 (8.00.02-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 18:22:38 +0100

camlp5 (7.14-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Nov 2021 09:32:39 +0100

camlp5 (7.13-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2020 08:48:29 +0200

camlp5 (7.12-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jul 2020 13:57:08 +0200

camlp5 (7.11-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2020 06:44:47 +0100

camlp5 (7.10-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2019 08:56:08 +0100

camlp5 (7.08-2) unstable; urgency=medium

  * Update --nodefined-map in call to dh_ocaml

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 06:32:56 +0200

camlp5 (7.08-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 06:21:22 +0200

camlp5 (7.07-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12 and switch to dh
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Set priority to optional

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2019 16:58:01 +0200

camlp5 (7.01-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.0.0
  * Update Homepage and watch to github

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Jul 2017 04:46:34 +0200

camlp5 (6.16-1) unstable; urgency=medium

  * New upstream release (Closes: #812178)
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jun 2016 11:22:32 +0200

camlp5 (6.14-2) unstable; urgency=medium

  * Team upload.
  * Fix bug on methods wrongly interpreted as vals (Closes: #802264)
  * Fix bug on optional types, patch picked from upstream's git repository.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Jan 2016 21:57:52 +0100

camlp5 (6.14-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Oct 2015 15:47:05 +0200

camlp5 (6.12-1) experimental; urgency=medium

  * New upstream release
  * Compile with OCaml 4.02.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Feb 2015 09:59:03 +0100

camlp5 (6.11+dfsg-3) unstable; urgency=medium

  * Repackage upstream tarball to remove non-free W3C icons
    (Closes: #735341)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 18 Jan 2014 11:46:03 +0100

camlp5 (6.11-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2013 22:28:30 +0100

camlp5 (6.11-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2013 17:10:03 +0100

camlp5 (6.10-1) experimental; urgency=low

  * New upstream release
  * Compile with OCaml >= 4
  * Update Vcs-*
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 08:30:48 +0200

camlp5 (6.08-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
    - apply upstream's patch-6.08-1

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 13:14:48 +0200

camlp5 (6.06-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Jun 2012 10:15:02 +0200

camlp5 (6.05-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 26 Mar 2012 21:28:51 +0200

camlp5 (6.04-1) unstable; urgency=low

  * New upstream release
    - camlp5 is now compiled in strict mode, the new upstream default
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Mar 2012 15:09:36 +0100

camlp5 (6.02.3-1) unstable; urgency=low

  * New upstream release
    - apply upstream patch patch-6.02.3-1
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 22:17:21 +0100

camlp5 (6.02.2-1) unstable; urgency=low

  * New upstream release
    - apply upstream patches patch-6.02.2-[123]

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 12:14:07 +0200

camlp5 (6.02.1-1) unstable; urgency=low

  * New upstream release
    - import upstream patches 6.02.1-{1,2,3}
  * Put the full text of BSD license in debian/copyright
  * debian/control:
    - replace Conflicts (with old ocaml-nox) with Breaks
    - bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Feb 2011 05:58:07 +0100

camlp5 (5.14-1) unstable; urgency=low

  * New upstream release
    - remove all patches (applied upstream)
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 May 2010 12:18:31 +0200

camlp5 (5.13-1) unstable; urgency=low

  * New upstream release:
    - remove Add-partial-OCaml-3.11.2-support.patch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Apr 2010 07:28:14 +0200

camlp5 (5.12-3) unstable; urgency=low

  * Switch source format to 3.0 (quilt)
  * Add support for OCaml 3.11.2:
    - add Add-partial-OCaml-3.11.2-support.patch
  * Add Fix-typos-in-manpage.patch
  * debian/control:
    - add suggestion to ocaml-findlib
    - update Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 31 Jan 2010 10:13:13 +0100

camlp5 (5.12-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Update debian/{control,rules} to use new dh-ocaml
  * Update my e-mail address and remove DMUA
  * Add Mehdi Dogguy to Uploaders
  * Update Standards-Version to 3.8.3

  [ Mehdi Dogguy ]
  * Build-depend on dh-ocaml (>= 0.9.1) which fixes a bug when calling
    ocaml-lintian.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Oct 2009 13:44:22 +0100

camlp5 (5.12-1) unstable; urgency=low

  * New upstream release, ready for OCaml 3.11.1 (Closes: #534924)
  * Move to section ocaml
  * Add DM-Upload-Allowed
  * Update Standards-Version to 3.8.2
  * Switch debian/copyright to new format

 -- Stephane Glondu <steph@glondu.net>  Sun, 28 Jun 2009 11:10:13 +0200

camlp5 (5.10-3) unstable; urgency=low

  * uploading to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet, bump dh-ocaml
    build-dep to the minimum version implementing this
  * bump debhelper compatibility level to 7
  * debian/copyright: reference GPL-3 file for packaging license

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 14:24:21 +0100

camlp5 (5.10-2) experimental; urgency=low

  * Versioned build-dep on ocaml-compiler-libs.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Dec 2008 01:02:54 +0100

camlp5 (5.10-1) experimental; urgency=low

  * New upstream release, compatible with OCaml 3.11.0 (Closes: #507884)
  * Switch packaging to git
  * Add build-dependency to dh-ocaml
  * Add myself to uploaders
  * Update Standards-Version to 3.8.0
  * Add versioned dependency to OCaml to avoid confusion

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 20:03:34 +0100

camlp5 (5.08-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Sylvain Le Gall ]
  * Rebuild for ocaml 3.10.2
  * Add Sylvain Le Gall to uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 21 May 2008 23:35:53 +0200

camlp5 (5.08-1) experimental; urgency=low

  [ Ralf Treinen ]
  * NMU with maintainer's blessing
  * rebuild against ocaml 3.10.2

  [ Stefano Zacchiroli ]
  * new upstream release. This release compiles with ocaml 3.10.2
    (closes: Bug#472923).

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 22:23:51 +0200

camlp5 (5.07-1) unstable; urgency=low

  * new upstream release
  * rebuild against ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 09 Feb 2008 18:08:41 +0100

camlp5 (5.06-2) unstable; urgency=low

  * debian/control: fix out of date vcs-urls

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2007 13:28:25 +0100

camlp5 (5.06-1) unstable; urgency=low

  * new upstream release
  * update standards version, no changes needed
  * debian/rules: enable generation of ocamldoc api reference, adding to this
    end debian/camlp5r_w_macro.sh (a camlp5 filter to preprocess sources
    before passing them to ocamldoc)
  * add build-dep and dep on ocaml-compiler-libs, as some parts of camlp5 rely
    on the Parsetree module

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 30 Dec 2007 12:04:50 +0100

camlp5 (5.04-1) unstable; urgency=low

  * new upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Nov 2007 10:38:51 +0100

camlp5 (5.03-1) unstable; urgency=low

  * new upstream release
    - ship native code objects (closes: #441921)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 20 Nov 2007 11:08:09 +0100

camlp5 (5.02-1) unstable; urgency=low

  * new upstream release
  * uploading to unstable
  * better debian/watch line: account for tarballs in subdirs and skip docs
  * install HTML version of the documentation and register it with doc-base

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 17 Nov 2007 16:16:37 +0100

camlp5 (5.00-1) experimental; urgency=low

  * new upstream release
  * add Homepage field to debian/control
  * remove patch install_destdir (no longer needed since now upstream Makefile
    support vanilla DESTDIR passing)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 27 Sep 2007 22:13:32 +0200

camlp5 (4.08-1) unstable; urgency=low

  * new upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 15:57:39 +0200

camlp5 (4.05-1) experimental; urgency=low

  * Initial release (Closes: #432587)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 22 Jul 2007 19:31:53 +0200
